

pub struct Interaction {
    /// Max number of entities that can be targeted in one go, 0 for non.
    pub max_targets: u32,

}

pub struct ChatMessage {
    /// Optional text portion
    text: String,
    /// Optional action buttons, for a chat message this will be empty
    actions: Vec<String>,
    /// Source/Caster/Whoever initiated the action/sent the message
    actor: String,
    /// Targets of the action, for a chat message this will be empty
    targets: Vec<String>
}

pub struct RollDialogOption {
    /// Field name
    name: String,
    /// dice size (aka d6, d12, d20)
    dice: u16,
    /// amount of dice (aka 1d6, 2d12, 10d20)
    dice_amount: u16,
    /// Constant amout to add (+7, +3, -1)
    constant: i16,
    /// Extra data, like damage type
    extra: String,
    /// should be enabled by default
    enabled: bool
}
