use tavern_macros::CharacterSheet;
use crate::game::character_sheet::*;

#[derive(Default, CharacterSheet)]
pub struct Pathfinder2rCharacterSheet {
    // Genral stuff
    #[Input("Name")]
    name: String,
    #[Input("Items")]
    items: String,
    // Attributes
    #[Seperator]
    #[Input("Strength")]
    str: i32,
    #[Input("Dexterity")]
    dex: i32,
    #[Input("Constitution")]
    con: i32,
    #[Input("Intelligence")]
    int: i32,
    #[Input("Wisdom")]
    wis: i32,
    #[Input("Charisma")]
    cha: i32,
    // Skills
    #[Seperator]
    #[Field("Acrobatics")]
    #[FieldExpr(self.dex + self.acrobatics_prof * 2)]
    _acro: i32,
    #[Input("Acrobatics Prof")]
    acrobatics_prof: i32,
    #[Field("Arcana")]
    #[FieldExpr(self.int + self.arcana_prof * 2)]
    _arca: i32,
    #[Input("Arcana Prof")]
    arcana_prof: i32,
    #[Field("Crafting")]
    #[FieldExpr(self.int + self.crafting_prof * 2)]
    _crafting: i32,
    #[Input("Crafting Prof")]
    crafting_prof: i32,
    // TODO: Add more skills
    // TODO: Also add all the rest of the sheet items
}
